跳转到主要内容
POST
/
v1
/
videos
/
{video_id}
/
remix
Create a Sora remix job
curl --request POST \
  --url https://api.cometapi.com/v1/videos/{video_id}/remix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Shift the color palette to teal, sand, and rust, with a warm backlight."
}
'
{
  "id": "<string>",
  "object": "<string>",
  "model": "<string>",
  "status": "<string>",
  "progress": 123,
  "created_at": 123,
  "size": "<string>",
  "seconds": "<string>",
  "remixed_from_video_id": "<string>"
}
使用此端点可以基于已完成的 Sora 视频创建变体,而无需从头开始。Remix 在你将改动范围控制得较小且表达明确时效果最佳。

优质 remix prompt

  • 请求一个清晰的单一改动,而不是重写整个场景
  • 对光照、色调、镜头运动或氛围的描述要具体
  • 从已完成的源视频开始,而不是使用进行中的任务

Remix 流程

1

先完成基础渲染

使用 Create Video 创建源视频,并等待其完成。
2

提交 remix 请求

传入已完成的 video_id,并附带一个描述单一聚焦改动的 prompt。
3

轮询并下载 remix 结果

将 remix 响应视为一个新的异步任务,使用 Retrieve Video 对其进行轮询,然后通过 Retrieve Video Content 下载。

与 OpenAI 的对应关系

这遵循 OpenAI 文档中的 remix 模式。CometAPI 保持相同的概念,但在整个工作流中你始终使用 CometAPI 的基础 URL 和鉴权模型。

授权

Authorization
string
header
必填

Bearer token authentication. Use your CometAPI key.

路径参数

video_id
string
必填

Completed source video id.

请求体

application/json
prompt
string
必填

Describe the change you want to make to the existing video.

示例:

"Shift the color palette to teal, sand, and rust, with a warm backlight."

响应

200 - application/json

Remix job accepted.

id
string
必填
object
string
必填
model
string
必填
status
string
必填
progress
integer
必填
created_at
integer
必填
size
string
必填
seconds
string
必填
remixed_from_video_id
string
必填